astro py:docs

- Index
- Modules

### Navigation

- next »
- « previous |
- Astropy v1.1.1 »
- Models and Fitting (`astropy.modeling`) »
- Linear1D

# Linear1D

class `astropy.modeling.functional_models.``Linear1D`

  Bases: `astropy.modeling.Fittable1DModel`

  One dimensional Line model.

  Parameters:

  slope : float

  > Slope of the straight line

  intercept : float

  > Intercept of the straight line

  Other Parameters:

  fixed : a dict

  > A dictionary `{parameter_name: boolean}` of parameters to not be varied during fitting. True means the parameter is held fixed. Alternatively the `fixed` property of a parameter may be used.

  tied : dict

  > A dictionary `{parameter_name: callable}` of parameters which are linked to some other parameter. The dictionary values are callables providing the linking relationship. Alternatively the `tied` property of a parameter may be used.

  bounds : dict

  > A dictionary `{parameter_name: boolean}` of lower and upper bounds of parameters. Keys are parameter names. Values are a list of length 2 giving the desired range for the parameter. Alternatively the `min` and `max` properties of a parameter may be used.

  eqcons : list

  > A list of functions of length `n` such that `eqcons[j](x0,*args) == 0.0` in a successfully optimized problem.

  ineqcons : list

  > A list of functions of length `n` such that `ieqcons[j](x0,*args) >= 0.0` is a successfully optimized problem.

  See also

  `Const1D`

  Notes

  Model formula:

  > f(x) = a x + b

  Attributes Summary

  `intercept` |
  `linear` |
  `param_names` |
  `slope` |

  Methods Summary

  `evaluate`(x, slope, intercept) | One dimensional Line model function
  `fit_deriv`(x, slope, intercept) | One dimensional Line model derivative with respect to parameters

  Attributes Documentation

  `intercept`
  `linear` = True
  `param_names` = ('slope', 'intercept')
  `slope`

  Methods Documentation

  static `evaluate`(x, slope, intercept)

    One dimensional Line model function

  static `fit_deriv`(x, slope, intercept)

    One dimensional Line model derivative with respect to parameters